# Sass Module

Sass module is an extremely simple tool that works with Webpack to provide you with namespaced Sass for you components.  

Inspired by the [typestyle](https://github.com/typestyle/typestyle) and [react-inline-css](https://github.com/RickWong/react-inline-css)


## Example

Code:

```javascript
import style from 'sass-module-lite'

const className = style(require('../path/to/YourStyle.scss'))

const TestComponent = () => (
    <div className={className}>
        <div className="aqua">Ayaka</div>
        <div className="ebony">Ayase</div>
        <div className="orange">Ayano</div>
    </div>
)

```

`:root` will be replaced at runtime with a generated unique ID. 

```scss
:root {
    .aqua {
        background-color: aqua; 
    }
    .ebony {
        background-color: #555d50; 
    }   
    .orange {
        background-color: orange; 
    }
}
```

Webpack setup:

```javascript
module.exports = {
    module: {
        rules: [
            {
                test: /\.scss?$/,
                loader: 'raw-loader!sass-loader',
                exclude: /node_modules/,
            },
        ]
    },
};
```


## Installation

```bash
yarn add sass-module-lite
```


## License

© 2017 WTFPL – Do What the Fuck You Want to Public License.